Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class Holder

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.Holder

All Implemented Interfaces:
  DEREncodable

public class Holder
extends ASN1Encodable

The Holder object.

      Holder ::= SEQUENCE {
            baseCertificateID   [0] IssuerSerial OPTIONAL,
                     -- the issuer and serial number of
                     -- the holder's Public Key Certificate
            entityName          [1] GeneralNames OPTIONAL,
                     -- the name of the claimant or role
            objectDigestInfo    [2] ObjectDigestInfo OPTIONAL
                     -- used to directly authenticate the holder,
                     -- for example, an executable
      }

Constructor Summary
`Holder(ASN1Sequence seq)`
`Holder(GeneralNames entityName)`
`Holder(IssuerSerial baseCertificateID)`

Method Summary
`IssuerSerial` | `getBaseCertificateID()`
`GeneralNames` | `getEntityName()`
`static Holder` | `getInstance(java.lang.Object obj)`
`ObjectDigestInfo` | `getObjectDigestInfo()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Holder

    public Holder(ASN1Sequence seq)

### Holder

    public Holder(IssuerSerial baseCertificateID)

### Holder

    public Holder(GeneralNames entityName)

Method Detail

### getInstance

    public static Holder getInstance(java.lang.Object obj)

### getBaseCertificateID

    public IssuerSerial getBaseCertificateID()

### getEntityName

    public GeneralNames getEntityName()

### getObjectDigestInfo

    public ObjectDigestInfo getObjectDigestInfo()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD